#
# spec file for package proxychains-ng
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           proxychains-ng
Version:        4.10
Release:        4.3
Summary:        Redirect connection through proxy servers
License:        GPL-2.0
Group:          Productivity/Networking/Security
Url:            http://sourceforge.net/projects/proxychains-ng/
Source0:        http://downloads.sourceforge.net/project/%{name}/proxychains-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
BuildRequires:  make
Obsoletes:      proxychains < %{version}
Provides:       proxychains = %{version}

%description
ProxyChains NG is based on ProxyChains.

ProxyChains NG hooks network-related (TCP only) libc functions in dynamically
linked programs via a preloaded DSO (dynamic shared object) and redirects the
connections through one or more SOCKS4a/5 or HTTP proxies.

Since Proxy Chains NG relies on the dynamic linker, statically linked binaries
are not supported.

Adjust ~/.proxychains/proxychains.conf for your Proxy and use ProxyChains NG
with

    proxychains4 application

%prep
%setup -q -n proxychains-%{version}

%build
%configure
make %{?_smp_mflags}

%install
%make_install install-config
install -Dm 0755 src/proxyresolv %{buildroot}%{_bindir}/proxyresolv4

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/proxychains4
%{_bindir}/proxyresolv4
%{_libdir}/libproxychains4.so
%config %{_sysconfdir}/proxychains.conf

%changelog
* Wed Jun 10 2015 nemysis@gmx.ch
- Update to 4.10, announce message:
  - fix regression in linking order with custom LDFLAGS
  - fix segfault in DNS mapping code in programs with > ~400 different lookups
- Adjust proxychains-ng-rpmlintrc, after conversation with Upstream
* Thu May 28 2015 nemysis@gmx.ch
- Update to 4.9, announce message:
  - fix a security issue CVE-2015-3887
  - add sendto hook to handle MSG_FASTOPEN flag
  - replace problematic hostentdb with hostsreader
  - fix compilation on OpenBSD (although doesn't work there)
* Wed Oct 15 2014 nemysis@gmx.ch
- Change Group from Productivity/Networking to
  Productivity/Networking/Security
- Fix typo
* Mon Oct 13 2014 nemysis@gmx.ch
- Add Source1 proxychains-ng-rpmlintrc
- Use install-config instead of install
- Use +%%config %%{_sysconfdir} instead of %%{_sysconfdir}
* Sun Sep 14 2014 nemysis@gmx.ch
- Change Url from GitHub to SourceForge
- Change Source to use Web Url
* Sat Sep 13 2014 nemysis@gmx.ch
- Add Obsoletes and Provides for conflict with Proxy Chains
- Use %%setup -q -n proxychains-%%{version} and remove not needed Source
- Add proxychains.conf, forgotten in previous commit
* Sat Sep 13 2014 nemysis@gmx.ch
- Use for Group Productivity/Networking instead of Network
- Remove all define and #setup -n because not works
- Use proxyresolv4 instead proxyresolv to not have conflict with
  Proxy Chains 3.1
- Add proxychains-ng-rpmlintrc, thanks va from IRC
* Sat Sep 13 2014 nemysis@gmx.ch
- Initial package creation
- Problem with package name, because this have added two tar.bz2
  define and setup -n not helps
